Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWarpVector Class Reference

`#include <vtkWarpVector.h>`

Inheritance diagram for vtkWarpVector:

[legend]
Collaboration diagram for vtkWarpVector:

[legend]
List of all members.

## Detailed Description

deform geometry with vector data

Date:
  2003/01/09 19:21:05

Revision:
  1.37

vtkWarpVector is a filter that modifies point coordinates by moving points along vector times the scale factor. Useful for showing flow profiles or mechanical deformation.

The filter passes both its point data and cell data to its output.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (41%)
  - Martin, Ken (34%)
  - Law, Charles (9%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkWarpVector.h)`
  - .`cxx` (`/Graphics/vtkWarpVector.cxx)`

Examples:
  vtkWarpVector (Examples)

Tests:
  vtkWarpVector (Tests)

Definition at line 52 of file vtkWarpVector.h.

## Public Types
typedef vtkPointSetToPointSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetScaleFactor (float)
virtual float | GetScaleFactor ()
## Static Public Methods
vtkWarpVector * | New ()
int | IsTypeOf (const char *type)
vtkWarpVector * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWarpVector ()
| ~vtkWarpVector ()
void | Execute ()
virtual void | SetInputVectorsSelection (const char *)
## Protected Attributes
float | ScaleFactor
char * | InputVectorsSelection

## Member Typedef Documentation

typedef vtkPointSetToPointSetFilter vtkWarpVector::Superclass

| Reimplemented from vtkPointSetToPointSetFilter. Definition at line 56 of file vtkWarpVector.h.

## Constructor & Destructor Documentation

vtkWarpVector::vtkWarpVector | ( |  | ) | `[protected]`

vtkWarpVector::~vtkWarpVector | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWarpVector* vtkWarpVector::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkWarpVector::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointSetToPointSetFilter.

int vtkWarpVector::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

virtual int vtkWarpVector::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

vtkWarpVector* vtkWarpVector::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointSetToPointSetFilter.

void vtkWarpVector::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointSetToPointSetFilter.

virtual void vtkWarpVector::SetScaleFactor | ( | float |  | ) | `[virtual]`

| Specify value to scale displacement.

virtual float vtkWarpVector::GetScaleFactor | ( |  | ) | `[virtual]`

| Specify value to scale displacement.

void vtkWarpVector::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

virtual void vtkWarpVector::SetInputVectorsSelection | ( | const char * |  | ) | `[protected, virtual]`

## Member Data Documentation

float vtkWarpVector::ScaleFactor`[protected]`

| Definition at line 70 of file vtkWarpVector.h.

char* vtkWarpVector::InputVectorsSelection`[protected]`

| Definition at line 72 of file vtkWarpVector.h.

The documentation for this class was generated from the following file:

- Graphics/vtkWarpVector.h